/**
 * <p>File: Exm060301.java</p>
 * <p>Title: Numerical methods</p>
 * <p>Description: Course on numerical analysis</p>
 * <p>Date: December 2011</p>
 * @author Faton M. Berisha
 * @version 6.0.0
 */

import numeric.*;


public class Exm060101 {
	public static void main (String[] args) {
		double[][] coeff =
		{{ 1,  1,  0,  3,  4},
		 { 2,  1, -1,  1,  1},
		 { 3, -1, -1,  2, -3},
		 {-1,  2,  3, -1,  4}};
	
/*		Matrix matrix = new Matrix(coeff);
		new MatrixDemoView("Metoda e Gaussit", matrix);
		matrix.gauss();
*/		
		LinearSystemSolver solver = new LinearSystemSolver(coeff);
		new LinearSystemEliminationDemoView("Metoda e Gaussit", solver);
		solver.gauss();

/*		Matrix matrix = new MatrixPartialPivoting(coeff);
		LinearSystemSolver solver2 = new LinearSystemSolver(matrix);
		new LinearSystemEliminationDemoView("Pivotimi parcial", solver2);
		solver2.gauss();
*/
	}

/*	private static class MatrixPartialPivoting extends Matrix {
		public MatrixPartialPivoting(double[][] val) {
			super(val);
		}
		
		protected int pivoting(int diag) {
			return partialPivoting(diag);
		}
	}
*/
}

