import numeric.*;

public class Exc020307 {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		EquationSolver solver = new EquationSolver();
		solver.setTolerance(1E-4);
		Function f = new TestFunction();
		new EquationDemoView(solver);
		try {
			solver.secant(f, 0, Math.PI/4);
		} catch (ArithmeticException e) {
			System.err.println(e.getMessage());
		}
	}

	private static class TestFunction implements Function {
		public double value (double x) {
			return x - 0.8 - 0.2 * Math.sin(x);
		}
	}
}
