import numeric.*;

public class Exc060103 {
	
	public static void main(String[] args) {
		double[][] coeff = {{1, 1, 0, 1, 2},
							{2, 1, -1, 1, 1},
							{-1, 2, 3, -1, 4},
							{3, -1, -1, 2, -3}};
		LinearSystemSolver l = new LinearSystemSolver(coeff);
		l.gauss();
		l.solveUpperTriangular();
		MatrixWriter writer = new MatrixWriter(l.getSolution());
		writer.writeMatrix();
		LinearSystemSolver l2 = new LinearSystemSolver(coeff);
		l2.gaussJordan();
		l2.solveUpperTriangular();
		writer = new MatrixWriter(l2.getSolution());
		writer.writeMatrix();
	}
}
