/**
 * <p>File: Exm020601.java</p>
 * <p>Title: Numerical methods</p>
 * <p>Description: Course on numerical analysis</p>
 * <p>Date: February 2012</p>
 * @author Faton M. Berisha
 * @version 7.0.0
 */

import numeric.*;

public class Exm020602 {

	public static void main(String[] args) {
		EquationSolver solver = new EquationSolver();
		solver.setTolerance(1E-10);
		solver.setNumIterations(7);

		double[] coeff = {-4, 3, -3, 0, 2};
		Differentiable p = new AlgebraicPolynomial(coeff);
		
		new EquationDemoView("Metoda e Newton-it", solver);
		EquationDemoView.setNumSignificantDigits(10);
		
		try {
			solver.newton(p, -2);
		} catch (Exception e) {
			System.err.println(e.getMessage());
		}
	}

}
