import numeric.*;

public class Exm060202 {
	public static void main (String[] args) {
/*		double[][] coeff =
		{{ 0.003,  59.14, 59.17},
		 { 5.291,  -6.13, 46.78}};
*/	

		double[][] coeff =
		{{ 0.01,  10, 20.1},
		 { 1,     -4,  2}};
	
		Matrix matrix = new MatrixPartialPivoting(coeff);
		LinearSystemSolver solver2 = new LinearSystemSolver(matrix);
		new LinearSystemEliminationDemoView("Pivotimi parcial", solver2);
		solver2.gauss();

	}

	private static class MatrixPartialPivoting extends Matrix {
		public MatrixPartialPivoting(double[][] val) {
			super(val);
		}
		
		protected int pivoting(int diag) {
			return partialPivoting(diag);
		}
	}

}
