/**
 * <p>File: TestLinearSystemElimination.java</p>
 * <p>Title: Numerical methods</p>
 * <p>Description: Course on numerical analysis</p>
 * <p>Date: June 2009</p>
 * @author Faton M. Berisha
 * @version 4.01
 */

import numeric.*;

public class TestLinearSystemElimination {
	public static void main(String[] args) {
/*		try {
			int n = 0;
			String input =
				JOptionPane.showInputDialog("Ju lutem jepni rendin e sistemit");
			n = new Integer(input).intValue();
		}
		catch ( NumberFormatException e ) {
//			AbstractSystemSolver.err.println(e);
			JOptionPane.showMessageDialog(null, "Input jokorrekt",
					"Gabim!", JOptionPane.ERROR_MESSAGE);
			AbstractSystemSolver.exit(1);
		}
		LinearSystemSolver l = new LinearSystemSolver(n);
		MatrixReader reader = new MatrixReader(l);
		System.out.println("Ju lutem futeni matricn e zgjeruar t sistemit.");
		reader.readElements();
*/
/*		double[][] coeff =
			{{1, 2, 3, 4},
			 {1, 2, 0, 3},
			 {1, 0, 0, 2}};
		LinearSystemSolver l = new LinearSystemSolver(coeff);
		
		new LinearSystemEliminationDemoView("Met. Gauss-it", l);
		
		l.gauss();
*/
/*		// Example 6.1.1		
  		double[][] coeff =
		{{1, 1, 0, 3, 4},
		 {2, 1,-1, 1, 1},
		 {3,-1,-1, 2,-3},
		 {-1,2, 3,-1, 4}};
		LinearSystemSolver l = new LinearSystemSolver(coeff);
	
		new LinearSystemEliminationDemoView("Met. Gauss-it", l);
	
		l.gauss();
*/
		// Example 6.2.2
		double[][] coeff =
		{{0.003, 59.14, 59.17},
		 {5.291, -6.13, 46.78}};
		LinearSystemSolver l = new LinearSystemSolver(coeff);
	
		Matrix matrix = new Pivoting(coeff);
		l.setMatrix(matrix);

		new LinearSystemEliminationDemoView("Met. Gauss-it", l);
		
		l.gauss();

/*		System.out.println("Matrica e zgjeruar pas transformimit:");
		MatrixWriter writer2 = new MatrixWriter(l.getMatrix());
		writer2.writeMatrix();

		MatrixWriter writer = new MatrixWriter(l.getSolution());
		writer.setPattern("0.0000");
		System.out.println("Zgjidhja e llogaritur:");
		writer.writeMatrix();
		
		new MatrixView(l.getMatrix());
		new MatrixView(l.getSolution());
*/	
	}

	private static class Pivoting extends Matrix {
		public Pivoting(double[][] coeff) {
			super(coeff);
		}
		public int pivoting(int diag) {
			return partialPivoting(diag);
		}
	}
}
