/**
 * <p>Title: Numerical methods</p>
 * <p>Description: Course on numerical analysis</p>
 * <p>Date: January 2003</p>
 * <p>Date: July 2009</p>
 * @author Faton M. Berisha
 * @version 5.0.0
 */

package numeric;

/**
 * Interface for a differentiable function.
 */
public interface Differentiable extends Function {
	/**
	 * Returns a value of the derivative.
	 * 
	 * @param x
	 *            the argument
	 * @return the value of the derivative
	 */
	public double derivative(double x);
}
