/**
 * <p>File: VectorFunction.java</p>
 * <p>Title: Numerical methods</p>
 * <p>Description: Course on numerical analysis</p>
 * <p>Date: July 2009</p>
 * @author Faton M. Berisha
 * @version 5.0.0
 */

package numeric;

/**
 * Interface for a vector multivariate function.
 */
public interface VectorFunction {
	/**
	 * Returns a value of the component multivariate function.
	 * 
	 * @param i
	 *            coordinate index of the component
	 * @param x
	 *            the <code>double[]</code> argument
	 * @return the value
	 */
	public double value(int componentFunction, double[] x);
}
